public inbox for development@lists.ipfire.org
 help / color / mirror / Atom feed
From: Adolf Belka <adolf.belka@ipfire.org>
To: development@lists.ipfire.org
Cc: Adolf Belka <adolf.belka@ipfire.org>
Subject: [PATCH] installer: Increase size of mount for iso due to size increase
Date: Wed, 28 Jan 2026 19:50:06 +0100	[thread overview]
Message-ID: <20260128185006.4131577-1-adolf.belka@ipfire.org> (raw)

- download.sh defines a mount of 512M for downloading the iso for use with PXE.
   Unfortunately since CU192 the iso sizes have been greater than 512M
- This was identified by a user on the forum as their PXE install failed to work.
- They had suggested increasing it to around 800M. As CU200 is already at 658M I
   thought it made more sense to give a bit more room and so specified 1024M. If this
   is considered too excessive then it can always be modified.

Signed-off-by: Adolf Belka <adolf.belka@ipfire.org>
---
 src/installer/downloadsource.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/installer/downloadsource.sh b/src/installer/downloadsource.sh
index 47086b2b7..d8b1ddd03 100644
--- a/src/installer/downloadsource.sh
+++ b/src/installer/downloadsource.sh
@@ -2,7 +2,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2022  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2026  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -35,7 +35,7 @@ URL="${2}"
 OUTPUT_DIR="${OUTPUT%/*}"
 
 mkdir -p "${OUTPUT_DIR}"
-if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=512M; then
+if ! mount -t tmpfs none "${OUTPUT_DIR}" -o size=1024M; then
 	echo "Could not mount tmpfs to ${OUTPUT_DIR}" >&2
 	exit 1
 fi
-- 
2.52.0



             reply	other threads:[~2026-01-28 18:50 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2026-01-28 18:50 Adolf Belka [this message]
2026-01-30  9:20 ` Michael Tremer
2026-01-30 13:25   ` Adolf Belka
2026-01-30 14:25     ` Michael Tremer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20260128185006.4131577-1-adolf.belka@ipfire.org \
    --to=adolf.belka@ipfire.org \
    --cc=development@lists.ipfire.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox